//
//  ExampleController.h
//  GLSLBindingSample
//
//  Created by Jens Ayton on 2007-07-29.
//  Copyright 2007 Jens Ayton. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class ExampleOpenGLView, ExampleModel;


@interface ExampleController: NSObject
{
	IBOutlet NSWindow			*window;
	IBOutlet NSColorWell		*colorWell;
	IBOutlet NSSlider			*shininessSlider;
	IBOutlet ExampleOpenGLView	*glView;
	
	ExampleModel				*_model;
	NSTimer						*_timer;
	NSDate						*_startTime;
}

- (IBAction)takeShininessFrom:(id)sender;
- (IBAction)takeColorFrom:(id)sender;

@end
