//
//  ExampleOpenGLView.h
//  GLSLBindingSample
//
//  Created by Jens Ayton on 2007-07-29.
//  Copyright 2007 Jens Ayton. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class ExampleModel, JAShaderMaterial;


@interface ExampleOpenGLView: NSOpenGLView
{
	float					_light0Angle,
							_light1Angle;
	ExampleModel			*_model;
	struct GLUquadric		*_quadric;
	JAShaderMaterial		*_material;
	
	BOOL					_haveSetUp;
}

- (float)mainLightAngle;
- (void)setMainLightAngle:(float)angle;
- (float)secondaryLightAngle;
- (void)setSecondaryLightAngle:(float)angle;

- (ExampleModel *)model;
- (void)setModel:(ExampleModel *)model;

@end
